import { InputType } from '@storybook/csf';
export interface StoryArgType extends InputType {
    /**
     * Identify an arg to determine where the control is defined
     */
    displayedPlatforms?: 'storybookOnly' | 'websiteOnly';
    /**
     * Define the control type
     *
     * Avoid using this property to exclude a control.
     * Use `parameters.controls.exclude` for this.
     */
    control?: string | {
        type: string;
        [key: string]: any;
    };
}
export declare const storybookArgTypes: Record<string, StoryArgType>;
/** By default we set argType to `control:none`
 * for props we don't want to control in Storybook
 */
export declare const storybookExcludedArgTypes: Record<string, StoryArgType>;
//# sourceMappingURL=storybookArgTypes.d.ts.map